###################################################
### chunk number 1: require
###################################################
#line 39 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
require(scape)


###################################################
### chunk number 2: B1
###################################################
#line 47 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotB(x.ling, series=c("VB.1","VB.2","Y"), div=1000, xlab="Year\n",
      ylab="Biomass and landings (1000 t)")


###################################################
### chunk number 3: B2
###################################################
#line 52 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotB(x.ling, "s", div=1000, xlab="Biomass age 4+ (1000 t)",
      ylab="Recruitment (million one-year-olds)")


###################################################
### chunk number 4: CA1
###################################################
#line 59 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCA(x.sbw, fit=FALSE, strip=FALSE, xlab="Age", ylab="Year",
       tick.number=10)


###################################################
### chunk number 5: CA2
###################################################
#line 64 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCA(x.cod, xlab="Age", ylab="Proportion in catch", cex.strip=0.7,
       cex.axis=0.7, col.lines="brown", layout=c(8,4))


###################################################
### chunk number 6: CA3
###################################################
#line 69 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCA(x.cod, xlab="Age", ylab="Proportion in catch", cex.strip=0.7,
       cex.axis=0.7, col.lines="brown", layout=c(2,4), swap=TRUE,
       ages=3:10, same.limits=FALSE)


###################################################
### chunk number 7: CA4
###################################################
#line 75 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCA(x.ling, "s", col.points=c("red","blue"), lty.lines=0, xlab="Age",
       ylab="Observed proportion in survey", tck=0.5, cex.strip=0.7,
       cex.axis=0.7)


###################################################
### chunk number 8: CA5
###################################################
#line 81 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCA(x.ling, "s", xlab="Age", ylab="Observed proportion in survey",
       fit=FALSE, cex.strip=0.7, cex.axis=0.7, tck=0.5, layout=c(5,2))


###################################################
### chunk number 9: CA6
###################################################
#line 86 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCA(x.ling, "s", xlab="Age", ylab="Observed proportion in survey",
       fit=FALSE, cex.strip=0.7, cex.axis=0.7, tck=0.5, layout=c(5,6),
       swap=TRUE)


###################################################
### chunk number 10: CL1
###################################################
#line 94 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCL(x.ling, fit=FALSE, strip=FALSE, series="1", sex="Female",
       xlab="Length (cm)", ylab="Year")


###################################################
### chunk number 11: CL2
###################################################
#line 99 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCL(x.oreo, xlab="Length (cm)", ylab="Proportion in catch")


###################################################
### chunk number 12: CL3
###################################################
#line 103 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCL(x.oreo, "s", layout=c(2,1), xlab="Length (cm)",
       ylab="Observed proportion in survey", cex.points=0.8,
       col.points=c("red","blue"), lty.lines=0)


###################################################
### chunk number 13: CL4
###################################################
#line 109 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCL(x.ling, fit=FALSE, series="2", xlab="Length (cm)",
       ylab="Observed proportion in trawl catch", tck=0.5)


###################################################
### chunk number 14: CL5
###################################################
#line 114 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotCL(x.ling, series="2", swap=TRUE, lengths=70:150, lty.grid=0)


###################################################
### chunk number 15: Index1
###################################################
#line 120 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotIndex(x.cod, xlab="Year", ylab="Survey abundance index",
          strip=FALSE)


###################################################
### chunk number 16: Index2
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotIndex(x.oreo, "c", series="Series 1-1", xlim=c(1981,1990))


###################################################
### chunk number 17: Index3
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotIndex(x.oreo, "c", xlim=list(c(1981,1990),c(1992,2002)),
          xlab="Year", ylab="Observed CPUE",
          col.points=c("salmon","seagreen"), lty.lines=0)


###################################################
### chunk number 18: LA1
###################################################
#line 137 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotLA(x.oreo, xlab="Age", ylab="Length (cm)")


###################################################
### chunk number 19: LA2
###################################################
#line 141 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
mykey <- list(text=list(lab=c("Female","Male")), space="right",
              lines=list(lwd=4,col=c("red","blue")))
plotLA(x.oreo, together=TRUE, xlab="Age", ylab="Length (cm)", pch=NA,
       key=mykey)


###################################################
### chunk number 20: LA3
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
mykey <- list(text=list(lab=c("Female","Male")), space="right",
              points=list(pch=16,cex=0.5,col=c("red","blue")))
plotLA(x.oreo, together=TRUE, xlab="Age", ylab="Length (cm)",
       col.points=c("red","blue"), lty.lines=0, key=mykey)


###################################################
### chunk number 21: N1
###################################################
#line 157 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotN(x.cod, div=1000, xlab=c("Age (years)","Year"),
      ylab="Individuals (million)")


###################################################
### chunk number 22: N2
###################################################
#line 162 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotN(x.cod, "l", div=1000, xlab="Age", ylab="Individuals (million)")


###################################################
### chunk number 23: N3
###################################################
#line 166 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotN(x.cod, "r", age=3, div=1000, xlim=c(1967,2002))


###################################################
### chunk number 24: N4
###################################################
#line 170 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotN(x.cod, "p", div=1000, ages=3:10, xlim=c(2,11), xlab="Age",
      ylab="Individuals (million)", cex.strip=0.7, cex.axis=0.7,
      tck=0.5)


###################################################
### chunk number 25: N5
###################################################
#line 176 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotN(x.cod, "b", xlab="Age (years)", ylab="Year", cex.points=0.7)


###################################################
### chunk number 26: Sel1
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotSel(x.ling, xlab="Age", ylab="Selectivity and maturity")


###################################################
### chunk number 27: Sel2
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/scape/inst/doc/gallery.Rnw"
plotSel(x.cod, together=TRUE, xlab="Age\n", ylab="Selectivity",
        pch=NA, col.lines=c("coral","navyblue"), strip=FALSE)


